/*
 Calcium Signal Analyser Vamp Plugin
 
 Transient detection and characterisation for calcium signals.
 
 Centre for Digital Music, Queen Mary University of London.
 This file copyright 2010-2011 Mathieu Barthet and QMUL.
 
 Based on the QM Vamp note onset detector plugin by Christian 
 Landone, Chris Duxbury, and Juan Pablo Bello.
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of the
 License, or (at your option) any later version.  See the file
 COPYING included with this distribution for more information.
 
 Version: 2
 */

#include <vamp/vamp.h>
#include <vamp-sdk/PluginAdapter.h>

#include "CalciumSignalAnalyser.h"

// Declare one static adapter here for each plugin class in this library.

static Vamp::PluginAdapter<CalciumSignalAnalyser> CalciumSignalAnalyserAdapter;

// This is the entry-point for the library, and the only function that
// needs to be publicly exported.

const VampPluginDescriptor *
vampGetPluginDescriptor(unsigned int version, unsigned int index)
{
    if (version < 1) return 0;

    // Return a different plugin adaptor's descriptor for each index,
    // and return 0 for the first index after you run out of plugins.
    // (That's how the host finds out how many plugins are in this
    // library.)

    switch (index) {
    case  0: return CalciumSignalAnalyserAdapter.getDescriptor();
    default: return 0;
    }
}


